Skip to content

Upload a new document and associated metadata

POST
/object-storage/document
curl --request POST \
--url https://api.tradecloud1.com/v2/object-storage/document \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: multipart/form-data' \
--form file=@file \
--form Content-Transfer-Encoding=binary

Documents are securely stored and only available to you and other parties like your supplier or buyer. Refer to our API manual for more information. Document uploads are limited to 500 MB. Requests will timeout after 60 seconds.

Media typemultipart/form-data
object
file
required

Mandatory name of the part of multipart request containing uploaded document data. If there are multiple parts with the same name, the first one will be used and the subsequent ones ignored

string format: binary
<= 209715200 characters
Content-Transfer-Encoding

Optional header to indicate the encoding of the submitted file. Note that this is not a request header, but a formData part header. By default, this header can be ommitted and the file in the formData will be interpreted as binary (a sequence of octets). In case you want to upload a file by means of a Base64-encoded string, set this header to base64

string
default: binary
Allowed values: binary base64

AcknowledgeWithId containing newly uploaded document id

Media typeapplication/json
object
id
required
string format: uuid

Example

{
"id": "00f03b98-2511-489f-9695-13791b3f66b6"
}

Request Entity Too Large. Returns if document size exceeds 500 MB

Unsupported Media Type. Verify that the file extension is not blacklisted.

Internal server error